package com.example.workshopautomation;

import androidx.appcompat.app.AppCompatActivity;

import android.content.ContentValues;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.net.IDN;

public class Addcar extends AppCompatActivity {

    SQLiteOpenHelper openHelper;
    SQLiteDatabase db;
    TextView txtinvisible;

    EditText _txtregno,_txtEngineNo,_txtChasisNo,_txtModel,_txtColor,_txtCurrentMillage;
    Button _btnAddCar,_btnBack;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_addcar);

        openHelper = new DatabaseHelper(this);


        _txtregno=(EditText)findViewById(R.id.txtregno);
        _txtEngineNo=(EditText)findViewById(R.id.txtEngineno);
        _txtChasisNo=(EditText)findViewById(R.id.txtchasisno);
        _txtModel=(EditText)findViewById(R.id.txtmodel);
        _txtColor=(EditText)findViewById(R.id.txtcolor);
        _txtCurrentMillage=(EditText)findViewById(R.id.txtcurrentmillage);

        _btnAddCar=(Button)findViewById(R.id.btn_add);
        _btnBack=(Button)findViewById(R.id.btnback);
        txtinvisible = (TextView) findViewById(R.id.textViewinvisible);

       String  st = getIntent().getExtras().getString("Value");

       txtinvisible.setText(st);
       txtinvisible.setVisibility(View.INVISIBLE);



        _btnBack.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(Addcar.this,UserDashboard.class);
                startActivity(intent);
            }
        });

        _btnAddCar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                db = openHelper.getWritableDatabase();
                String regno= _txtregno.getText().toString();
                String engineno= _txtEngineNo.getText().toString();
                String chassisno= _txtChasisNo.getText().toString();
                String model= _txtModel.getText().toString();
                String color= _txtColor.getText().toString();
                String currentmillage= _txtCurrentMillage.getText().toString();

                String id = txtinvisible.getText().toString();


                if (regno.equals("")||engineno.equals("")||chassisno.equals("")||model.equals("")||color.equals("")||currentmillage.equals(""))

                {
                    Toast.makeText(getApplicationContext(),"Please enter all the fields",Toast.LENGTH_LONG).show();
                }
                else
                {
                    Boolean checkid = checkVehicleID(regno);
                    if (checkid == false) {
                        AddCar(regno, id, engineno, chassisno, model, color, currentmillage);
                        Toast.makeText(getApplicationContext(), "Car successfully Added", Toast.LENGTH_LONG).show();
                    }
                    else {
                        Toast.makeText(getApplicationContext(),"Car number already exists",Toast.LENGTH_LONG).show();
                    }

                  }



            }
        });

    }

    public void AddCar(String regno,String ID,String engineno,String chasisno,String model,String color,String currentmillage)
    {

        ContentValues contentValues= new ContentValues();
        contentValues.put(DatabaseHelper.VCOL_1,regno);
        contentValues.put(DatabaseHelper.VCOL_2, ID);

        contentValues.put(DatabaseHelper.VCOL_3,engineno);
        contentValues.put(DatabaseHelper.VCOL_4,chasisno);
        contentValues.put(DatabaseHelper.VCOL_5,model);
        contentValues.put(DatabaseHelper.VCOL_6,color);
        contentValues.put(DatabaseHelper.VCOL_7,currentmillage);
       long id =  db.insert(DatabaseHelper.TABLE_NAME3 , null,contentValues);

    }


    public Boolean checkVehicleID(String vid)
    {
        db = openHelper.getReadableDatabase();
        Cursor cursor = db.rawQuery(" SELECT * FROM " + DatabaseHelper.TABLE_NAME3 + " where " + DatabaseHelper.VCOL_1 + " = ?",new String[]{vid});
        if (cursor.getCount() > 0)
            return true;
        else
            return false;
    }







}