package com.example.workshopautomation;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

import androidx.annotation.Nullable;

public class DatabaseHelper extends SQLiteOpenHelper {

    public static final String DATABASE_NAME = "Project.db";
    public static final String TABLE_NAME = "customer";
    public static final String COL_1="ID";
    public static final String COL_2="Name";
    public static final String COL_3="Email";
    public static final String COL_4="Phone";
    public static final String COL_5="Password";

    public static final String TABLE_NAME2 = "Mechanic";
    public static final String MCOL_1="ID";
    public static final String MCOL_2="Name";
    public static final String MCOL_3="Email";
    public static final String MCOL_4="Phone";
    public static final String MCOL_5="Password";

    public static final String TABLE_NAME3 = "vehicles";
    public static final String VCOL_1="Vid";
    public static final String VCOL_2="ID";
    public static final String VCOL_3="EngineNo";
    public static final String VCOL_4="ChasisNo";
    public static final String VCOL_5="Model";
    public static final String VCOL_6="Color";
    public static final String VCOL_7="CurrentMillage";


    public static final String TABLE_NAME4 = "Appointment";
    public static final String ACOL_1="AppNo";
    public static final String ACOL_2="ID";
    public static final String ACOL_3="Vid";
    public static final String ACOL_4="Status";
    public static final String ACOL_5="Type";

    public static final String TABLE_NAME5 = "Services";
    public static final String SCOL_1="Sid";
    public static final String SCOL_2="Description";
    public static final String SCOL_3="Name";
    public static final String SCOL_4="Date";
    public static final String SCOL_5="Time";
    public static final String SCOL_6="ID";





    public static final String TABLE_NAME6 = "AppointmentServices";
    public static final String ASCOL_1="Sid";
    public static final String ASCOL_2="AppNo";




    public static final String TABLE_NAME7 = "Bill";
    public static final String BCOL_1="Bid";
    public static final String BCOL_2="AppNo";
    public static final String BCOL_3="ID";
    public static final String BCOL_4="Amount";

    public static final String TABLE_NAME8 = "MechanicServices";
    public static final String MSCOL_1="Sid";
    public static final String MSCOL_2="ID";

    public static final String TABLE_NAME9 = "CustomerAppointment";
    public static final String CACOL_1="ID";
    public static final String CACOL_2="AppNo";
    public static final String CACOL_3="Date";

    public static final String TABLE_NAME10 = " CheckIn";
    public static final String CCOL_1="CarName";
    public static final String CCOL_2="Services";
    public static final String CCOL_3="CheckID";
    public static final String CCOL_4="ID";



    public DatabaseHelper(@Nullable Context context) {
        super(context, DATABASE_NAME, null, 1);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {

        db.execSQL(" CREATE TABLE " + TABLE_NAME + "(ID INTEGER PRIMARY KEY AUTOINCREMENT,Name text,Email text,Phone text,Password text,unique(Email,Phone))");

        db.execSQL(" CREATE TABLE " + TABLE_NAME2 + "(ID INTEGER PRIMARY KEY AUTOINCREMENT,Name text,Email text,Phone text,Password text,unique(Email,Phone))");

        db.execSQL(" CREATE TABLE " + TABLE_NAME3 + "(Vid text PRIMARY KEY , ID INTEGER, EngineNo text,ChasisNo text,Model text,Color text,CurrentMillage text, FOREIGN KEY (ID) REFERENCES customer(ID) )");

        db.execSQL(" CREATE TABLE " + TABLE_NAME4 + "(AppNo INTEGER PRIMARY KEY , ID text,Vid INTEGER ,Status text,Type text, FOREIGN KEY (ID) REFERENCES Mechanic(ID), FOREIGN KEY (Vid) REFERENCES vehicles(Vid))");

        db.execSQL(" CREATE TABLE " + TABLE_NAME5 + "(Sid INTEGER PRIMARY KEY AUTOINCREMENT,Description text,Name text,Date text,Time text, ID INTEGER, FOREIGN KEY (ID) REFERENCES customer(ID) )");

        db.execSQL(" CREATE TABLE " + TABLE_NAME6 + "(Sid INTEGER,AppNo INTEGER, FOREIGN KEY (Sid) REFERENCES Services(Sid), FOREIGN KEY (AppNo) REFERENCES Appointment(AppNo))");

        db.execSQL(" CREATE TABLE " + TABLE_NAME7 + "(Bid INTEGER PRIMARY KEY , AppNo INTEGER,ID INTEGER ,Amount text, FOREIGN KEY (AppNo) REFERENCES Appointment(AppNo), FOREIGN KEY (ID) REFERENCES customer(ID))");

        db.execSQL(" CREATE TABLE " + TABLE_NAME8 + "(Sid INTEGER,ID INTEGER, FOREIGN KEY (Sid) REFERENCES Services(Sid), FOREIGN KEY (ID) REFERENCES Mechanic(ID))");

        db.execSQL(" CREATE TABLE " + TABLE_NAME9 + "(ID INTEGER,AppNo INTEGER,Date DateTime, FOREIGN KEY (ID) REFERENCES customer(ID), FOREIGN KEY (AppNo) REFERENCES Appointment(AppNo))");

        db.execSQL(" CREATE TABLE " + TABLE_NAME10 + "(CheckID INTEGER PRIMARY KEY AUTOINCREMENT , CarName text,Services text,ID INTEGER,FOREIGN KEY (ID) REFERENCES customer(ID) )");


    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

        db.execSQL(" DROP TABLE IF EXISTS " + TABLE_NAME);
        onCreate(db);

        db.execSQL(" DROP TABLE IF EXISTS " + TABLE_NAME2);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME3);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME4);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME5);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME6);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME7);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME8);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME9);
        onCreate(db);

        db.execSQL("DROP TABLE IF EXISTS " + TABLE_NAME10);
        onCreate(db);

    }


}



